/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id: cbtfooter.js,v 1.1.2.1 2016/03/15 16:13:56 dvardhan Exp $ */
 
FooterController =
{
	init : function()
	{
		var vc = parent.ViewerController;
		vc.events.navigate.subscribe(this.updateUI,this,true);
		if (vc.current != null)
		{
			this.updateUI("navigation",[vc.current]);
		}
		vc.events.load.subscribe(this.updateUI,this,true);
		vc.events.score.subscribe(this.updateUI,this,true);
	},
	updateUI : function(type, args)
	{
		var vc = parent.ViewerController;
		
		// disable buttons when an assessment is loaded
		// enable buttons when an assessment is scored
		
		var modal = false;
		var obj = args[0];
		do
		{
			modal = (obj.type == 6);
		}
		while (!modal && ((obj = obj.parent) != null));
		
		if (modal && type == "load")
		{
			this.updateButton("PrevGroup",false);
			this.updateButton("NextGroup",false);
			this.updateButton("PrevLO",false);
			this.updateButton("NextLO",false);
		}
		else
		{
			this.updateButton("PrevGroup",vc.previous(true));
			this.updateButton("NextGroup",vc.next(true));
			this.updateButton("PrevLO",vc.previousLO(true));
			this.updateButton("NextLO",vc.nextLO(true));
		}
	},
	updateButton : function(id,state)   
	{
		var w = window;
		if (!YAHOO.lang.isUndefined(w[id+"Btn"]))
		{
			w[id+"Btn"].disabled = !state;
			
			var img = w.document.getElementById(id+"Img");
			if(img != null)
			{
				if (!state) 
				{
					img.src = w[id+"off"].src;
					img.className = "disabledButton";
				}
				else
				{
					// Duc Issue #29248 - Next and Prev LO aren't changing states correctly
					img.className = "enabledButton";
				}
			}
		}
	},
	buttonHandler : function(b)
	{
		var r = false;
		if (!b.disabled) 
		{
			if (b.click)
			{
				b.click();
				r = true;
			}
		}
		return r;
	},
	flipImage : function(a,b) 
	{
		a.src = b.src;
	}
}

NextGroupBtn =
{
	click : function()
	{
		parent.ViewerController.next();
	}
}

NextLOBtn = 
{
	click : function()
	{
		parent.ViewerController.nextLO();
	}
}

PrevGroupBtn = 
{
	click : function()
	{
		parent.ViewerController.previous();	
	}
}

PrevLOBtn = 
{
	click : function()
	{
		parent.ViewerController.previousLO();	
	}
}

HelpBtn = 
{
	click : function()
	{
		parent.ViewerController.openHelp();
	}
}

GlossaryBtn = 
{
	click : function()
	{
		parent.ViewerController.openGlossary();
	}
}

GenPDABtn =
{
	click : function()
	{
		parent.ViewerController.generateToPDA();
	}
}

DiscussionBtn = 
{
	click : function()
	{
		parent.ViewerController.openDiscussion();
	}
}

HomeBtn =
{
	click : function()
	{
		parent.OSDeliveryEngine.closeWindow();
    }
}
//Added Close button handler #33806 - Duc Tran
CloseBtn =
{
	click : function()
	{
		parent.OSDeliveryEngine.closeWindow();
	}
}
//Add event for button Next,Previous - Phong Le 4/Apr/2012
NextBtn = 
{
	click : function()
	{
		parent.ViewerController.next();
	}
}

PrevBtn = 
{
	click : function()
	{
		parent.ViewerController.previous();
	}
}
ShowNavBtn = 
{
	restore : null,
	click : function()
	{
		var yd = parent.YAHOO.util.Dom;
		var elm = yd.get("botframe");
		if (elm != null)
		{
			if (!this.restore)
			{
				this.restore = elm.cols;
				elm.cols = "*, 100%";
			}
			else
			{
				elm.cols = this.restore;
				this.restore = null;
			}
		}
	}
}