/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id: headerController.js,v 1.1.2.1 2016/03/15 16:13:56 dvardhan Exp $ */
 
HeaderController =
{
	init : function()
	{
		var vc = parent.ViewerController;
		vc.events.navigate.subscribe(this.handleNavigation,this,true);
		if (vc.current != null)
		{
			this.handleNavigation("navigation",[vc.current]);
		}
	},
	handleNavigation : function(type, args)
	{
		var yd = YAHOO.util.Dom;
		var vc = parent.ViewerController;
		
		// update the counter
		var pos = vc.getPosition();
		yd.get('tc').innerHTML = (pos.position+1)+" of "+pos.total;
		
		var obj = args[0];
		// update the breadcrumb
		if (obj)
		{
			var bcElm = yd.get('bc');
				bcElm.innerHTML = "";

			var objList = [];
			
			var p = obj;
			while ((p = p.parent) != null)
			{
				objList.push(p);
			}
			
			objList.reverse();
			
			var elm, sepElm;
			var showCourse = HeaderController.config.locoursenamevisible;
			var showModule = HeaderController.config.lomodulenamevisible;
			var breadcrumbLabel = HeaderController.config.breadcrumbdelimiter;
			var bcList = [];
			
			for (var i=0; i<objList.length; i++)
			{
				var obj = objList[i];
				
				if ((!obj.parent || obj.type == 5 ) && showCourse == true)
				{
					bcList.push(obj);
				}
				else if (obj.type == 4 && showModule == true)
				{	
					bcList.push(obj);
				}
				else if (obj.type == 3 || obj.type == 2)
				{
					bcList.push(obj);
				}
			}
			
			for (var i=0; i<bcList.length; i++)
			{
				var obj = bcList[i];

				elm = document.createElement("span");
				elm.className = "bc_elm";
				//elm.appendChild(document.createTextNode(obj.label));		
				elm.innerHTML = obj.label;
				bcElm.appendChild(elm);
				
				if (vc.config && vc.config.breadCrumbLinks)
				{
					YAHOO.util.Event.addListener(elm,"click",HeaderController.clickHandler,obj);
				}
				
				if (i != (bcList.length -1))
				{
					sepElm = document.createElement("span");
					sepElm.className = "bc_sep";
					sepElm.innerHTML = breadcrumbLabel;
					bcElm.appendChild(sepElm);
				}
			}
		}
	},
	clickHandler : function(e, obj)
	{
		parent.ViewerController.navigateTo(obj);
	}
}