/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id: topicController.js,v 1.1.2.1 2016/03/15 16:13:56 dvardhan Exp $ */
 
TopicController =
{
	floatTabs : false,
	urlMap : {},
	scrollTop : -1,
	clientWidth : -1,
	monitor : null,
	init : function()
	{
		if (this.floatTabs)
		{
			this.monitor = YAHOO.lang.later(100, null , this.moveTabs, this, true);
		}
		else
		{
			this.moveContentBelowTabs();
		}
	},
	finalize : function()
	{
		if (this.monitor)
		{
			this.monitor.cancel();
		}
	},
	navigate : function(id)
	{
		if (parent && parent.ViewerController)
		{
			parent.ViewerController.navigateTo(id);
		}
		else
		{
			var enabled = true;
			if (OSDeliveryEngine.linear)
			{
				var obj = OSDeliveryEngine.getObjectByUniqueId(id);
				enabled = obj.linear.enabled;
			}
			
			if (enabled)
			{
				var url = this.urlMap[id];
				if (url)
				{
					document.location.href = url;
				}
			}
		}
	},
	moveTabs : function()
	{
		var yd = YAHOO.util.Dom;
		var tc = TopicController;
		if ((tc.scrollTop != yd.getDocumentScrollTop()) || (tc.clientWidth != yd.getClientWidth()))
		{
			var y = tc.scrollTop = yd.getDocumentScrollTop();
			var w = tc.clientWidth = yd.getClientWidth();
				
			var elm = yd.get("grouptabs");
			if (elm != null)
			{
				yd.setStyle(elm,"z-index",500);
				yd.setStyle(elm,"top",y);
				yd.setStyle(elm,"width",w-yd.getX(elm));
				yd.setStyle(elm,"dir","rtl");
				
				tc.moveContentBelowTabs();
			}
		}
	},
	moveContentBelowTabs : function()
	{
		var yd = YAHOO.util.Dom;
		var elm = yd.get("grouptabs");
		if (elm != null)
		{
			// might need to position the topic container
			var tc = yd.get("content");
			if (tc != null)
			{
				var r = yd.getRegion(elm);
				yd.setStyle(tc,"top",(r.bottom-r.top)+10);
			}
		}
	}
}